Bug 175775 - www/lighttpd: libev excludes freebsd-kqueue
Summary: www/lighttpd: libev excludes freebsd-kqueue
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-02 00:40 UTC by Chris Brennan
Modified: 2015-10-19 13:37 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Brennan 2013-02-02 00:40:00 UTC
When going though 'make config' a notation on libev should be made then when selecting this option, it will disable/exclude native freebsd-kqueue poll() options.

Fix: 

Add note/warning to config screen or warning before build process w/ pause
How-To-Repeat: Select libev from 'make config' in www/lighttpd
Comment 1 Edwin Groothuis freebsd_committer 2013-02-02 03:38:54 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-02-02 03:38:56 UTC
Responsible Changed
From-To: freebsd-www->mm

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 3 Carlo Strub freebsd_committer 2014-09-11 20:08:13 UTC
Is this PR still relevant?
Comment 4 yvesguerin 2015-04-16 16:06:19 UTC
Yes, I tried with libev and the configuration file must be changed to libev to start lighttpd. I also tried without the libev and the freebsd-kqueue is working.

Without libev:
/usr/local/sbin/lighttpd -V
lighttpd/1.4.35 (ssl) - a light and fast webserver
Build-Date: Apr 16 2015 11:53:58

Event Handlers:

        + select (generic)
        + poll (Unix)
        - rt-signals (Linux 2.4+)
        - epoll (Linux 2.6)
        - /dev/poll (Solaris)
        - eventports (Solaris)
        + kqueue (FreeBSD)
        - libev (generic)

With libev:
/usr/local/sbin/lighttpd -V
lighttpd/1.4.35 (ssl) - a light and fast webserver
Build-Date: Apr 16 2015 12:05:08

Event Handlers:

        + select (generic)
        + poll (Unix)
        - rt-signals (Linux 2.4+)
        - epoll (Linux 2.6)
        - /dev/poll (Solaris)
        - eventports (Solaris)
        - kqueue (FreeBSD)
        + libev (generic)


uname -a: FreeBSD daemonBSD 10.1-RELEASE-p9 FreeBSD 10.1-RELEASE-p9 #1: Thu Apr  9 10:44:37 EDT 2015     root@daemonBSD:/usr/obj/usr/src/sys/GENERIC1  i386

lighttpd (from Makefile): 
PORTVERSION=    1.4.35
PORTREVISION=   5

ports updated: 2015-03-09
Comment 5 Guido Falsi freebsd_committer 2015-09-01 12:26:18 UTC
Adding new maintainer as CC.
Comment 6 Piotr Kubaj freebsd_committer 2015-09-01 13:48:10 UTC
I'm not really sure what the problem here is. If it's about changing LIBEV_DESC, here it is:
Index: Makefile
===================================================================
--- Makefile	(revision 395745)
+++ Makefile	(working copy)
@@ -40,6 +40,7 @@
 BZIP2_DESC=	bzip2 support (mod_compress)
 GDBM_DESC=	gdbm storage (mod_trigger_b4_dl)
 LDAP_DESC=	LDAP authentication
+LIBEV_DESC=	Fast events support via libev (disables kqueue)
 LUA_DESC=	lua support (mod_cml, mod_magnet)
 MEMCACHE_DESC=	memcached storage (mod_trigger_b4_dl)
 MYSQL_DESC=	MySQL support (mod_mysql_vhost)

I wanted to put "High-performance events support via libev (disables kqueue)" but it doesn't fit in the dialog window.
Comment 7 Guido Falsi freebsd_committer 2015-10-18 13:49:58 UTC
Option description updated as requested.

Thanks!
Comment 8 commit-hook freebsd_committer 2015-10-18 13:50:15 UTC
A commit references this bug:

Author: madpilot
Date: Sun Oct 18 13:49:38 UTC 2015
New revision: 399619
URL: https://svnweb.freebsd.org/changeset/ports/399619

Log:
  Update option description as proposed by port maintainer

  PR:		175775
  Submitted by:	xaero at xaerolimit.net
  Approved by:	pkubaj at riseup.net (maintainer)

Changes:
  head/www/lighttpd/Makefile
Comment 9 commit-hook freebsd_committer 2015-10-19 13:37:07 UTC
A commit references this bug:

Author: madpilot
Date: Mon Oct 19 13:36:45 UTC 2015
New revision: 399670
URL: https://svnweb.freebsd.org/changeset/ports/399670

Log:
  MFH: r399619

  Update option description as proposed by port maintainer

  PR:		175775
  Submitted by:	xaero at xaerolimit.net
  Approved by:	pkubaj at riseup.net (maintainer)

  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2015Q4/
  branches/2015Q4/www/lighttpd/Makefile